org.hibernate.search.exception.impl

## Class LogErrorHandler

- java.lang.Object
- - org.hibernate.search.exception.impl.LogErrorHandler

- All Implemented Interfaces:
    ErrorHandler

      public class LogErrorHandler
      extends Object
      implements ErrorHandler

  Since:
    3.2
  Author:
    Amin Mohammed-Coleman, Sanne Grinovero

- - ### Field Summary

    - ### Fields inherited from interface org.hibernate.search.exception.ErrorHandler

      `LOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogErrorHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `appendFailureMessage(StringBuilder message, LuceneWork workThatFailed)`
    `void` | `handle(ErrorContext context)`
    `void` | `handleException(String errorMsg, Throwable exception)` Suited to handle a single Exception, where no ErrorContext is needed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogErrorHandler

          public LogErrorHandler()

  - ### Method Detail

    - #### handle

          public void handle(ErrorContext context)

      Specified by:
        `handle` in interface `ErrorHandler`

    - #### appendFailureMessage

          public static final void appendFailureMessage(StringBuilder message,
                                                        LuceneWork workThatFailed)

    - #### handleException

          public void handleException(String errorMsg,
                                      Throwable exception)

      Description copied from interface: `ErrorHandler`
      Suited to handle a single Exception, where no ErrorContext is needed.
      Specified by:
        `handleException` in interface `ErrorHandler`
      Parameters:
        `errorMsg` - any description which could be useful to identify what was happening
        `exception` - the error to be handled

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved